library(readxl)


setwd("~/Dropbox (ScreenForBio)/Projects/leech_occupancy/Figs/Weather Data_Deramakot")

dates <- read_excel("DataTable_DFR_F_251117.xlsx")
rain <- read_excel("rain.xlsx")

station <- append(dates$Station,dates$Station)
station <- append(station,dates$Station)

date <- append(dates$Date_setup,dates$Date_check)
date <- append(date,dates$Date_retrieval)

dats.new <- data.frame(station=station, 
                       date=as.Date(date))

output <- data.frame(station=station, 
                       date=as.Date(date),
                       kbdi_total = NA,
                       kbdi_mean = NA)

rain$DATE <- as.Date(rain$DATE)

t <- 2

for (i in 1:192){
  d <- dats.new$date[i]
  dd <- as.Date(d)
  #ddd <- seq(as.Date(dd-6), by=1, len=7)
  #ddd <- as.character(ddd)
  kbdi <- 0
  
  for (j in 1:t){
    kbdi <- kbdi + rain$`ADJUSTED KBDI`[rain$DATE==dd+1-j]
    print(j)
  }
  output[i,3] <- kbdi
  output[i,4] <- kbdi/t
  
  
}

leech_data <- read.csv("leeches_per_occasion.csv",sep=";")
leeches <- append(leech_data$Occ..1,leech_data$Occ..2)
leeches <- append(leeches,leech_data$Occ..3)
leeches[is.na(leeches)] <- 0

output$leeches <- leeches

library(ggplot2)

p <- ggplot(output, aes(kbdi_total,leeches)) + 
  geom_point() +
  #geom_smooth(span=1) +
  ylim(0,35) +
  ylab(expression("Number of leeches collected")) +
  xlab(expression("Keetch-Byram Drought Index (KBDI)")) +
  theme_bw() +
  theme(axis.text=element_text(size=14),
        axis.title=element_text(size=14,face="bold"))
p


cor.test( ~ leeches + kbdi_total, 
          data=output,
          method = "spearman",
          continuity = FALSE,
          conf.level = 0.95)

cor.test( output$kbdi_total,
          output$leeches,
          method = "spearman",
          continuity = FALSE,
          conf.level = 0.95)

png(filename = "KBDI.png", width=6*600, height=4*600, 
    res=600, bg="white")
p

dev.off()

